# Contributing to TermSVG

## Reporting bugs

Open an issue in GitHub issue tracker.

Tell me what's the problem and include steps to reproduce it (reliably).
Including your OS/browser/terminal name and version in the report would be
great.

## Submitting patches with bug fixes

If you found a bug and made a patch for it:

1. Make sure your changes pass the [pre-commit](https://pre-commit.com/)
   [hooks](.pre-commit-config.yaml). You can install the hooks in your work
   tree by running `task setup` in your checked out copy.
1. Make sure all tests pass. If you add new functionality, add new tests.
1. Send a pull request, including a description of the fix (referencing an
   existing issue if there's one).

## Requesting new features

I'm open to ideas.

If you believe most termsvg users would benefit from implementing your idea
then feel free to open a GitHub issue. However, as this is an open-source
project maintained by just one person I simply can't implement all
of them due to limited resources. Please keep that in mind.

## Proposing features/changes (pull requests)

If you want to propose code change, either introducing a new feature or
improving an existing one, please first discuss it first. You
can simply open a separate issue for a discussion.

## Asking for help

GitHub issue tracker is not a support forum but I'll do my best.
